Create a page
curl --request POST \
--url https://api.domo.com/v1/pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"parentId": 123,
"locked": true,
"cardIds": [
123
],
"visibility": {
"userIds": [
123
],
"groupIds": [
123
]
}
}
'import requests
url = "https://api.domo.com/v1/pages"
payload = {
"name": "<string>",
"parentId": 123,
"locked": True,
"cardIds": [123],
"visibility": {
"userIds": [123],
"groupIds": [123]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
parentId: 123,
locked: true,
cardIds: [123],
visibility: {userIds: [123], groupIds: [123]}
})
};
fetch('https://api.domo.com/v1/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 3242,
"parentId": 23,
"owners": [
{
"id": 8811501,
"type": "USER",
"displayName": "John Smith"
}
],
"name": "Supply Chain",
"locked": true,
"cardIds": [
12,
2535,
233,
694
],
"visibility": {
"userIds": [
793,
20,
993,
19234
],
"groupIds": [
32,
25,
17,
74
]
}
}Page API
Create a page
Creates a new page in your Domo instance.
POST
/
v1
/
pages
Create a page
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The name of the page
If provided, the page will be created as a subpage to the page provided
will restrict other users the ability to make edits to page or its content - the default value is false
The IDs of all cards to be added to the page
Determines the access given to both individual users or groups within Domo
Show child attributes
Show child attributes
⌘I